Bug 59741 - Chromium Mac: Add scrollbar overlay drawing functions
Summary: Chromium Mac: Add scrollbar overlay drawing functions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 59728
  Show dependency treegraph
 
Reported: 2011-04-28 14:36 PDT by Sailesh Agrawal
Modified: 2011-05-02 10:56 PDT (History)
6 users (show)

See Also:


Attachments
Patch (18.80 KB, patch)
2011-04-28 14:38 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch (19.56 KB, patch)
2011-04-28 14:55 PDT, Sailesh Agrawal
mihai: review-
Details | Formatted Diff | Diff
Addressed review comments (19.32 KB, patch)
2011-04-28 16:27 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Fixed some bugs (19.40 KB, patch)
2011-04-29 14:00 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Updated change log. (19.46 KB, patch)
2011-04-29 14:14 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sailesh Agrawal 2011-04-28 14:36:53 PDT
Chromium Mac: Add scrollbar overlay drawing functions
Comment 1 Sailesh Agrawal 2011-04-28 14:38:05 PDT
Created attachment 91560 [details]
Patch
Comment 2 Sailesh Agrawal 2011-04-28 14:55:11 PDT
Created attachment 91562 [details]
Patch
Comment 3 Nico Weber 2011-04-28 15:04:36 PDT
Comment on attachment 91562 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91562&action=review

I think this looks fine. I'm not a reviewer, though.

> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:38
> +// we lookup at runtime. If the private APIs don't exist then the wkMake*

s/lookup/look up/
Comment 4 Mihai Parparita 2011-04-28 16:17:32 PDT
Comment on attachment 91562 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91562&action=review

> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:36
> +// This file contains utilities to draw overlay scrollbars. There are no plublic

s/plublic/public/.

> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:106
> +static Class LookUpNSScrollerImpClass() {

There's a quite a few WebKit style issues here:
- opening brace should be on its own line for function definitions.
- The first letter does not need to be capitalized.
- Indents should be 4 spaces.
Comment 5 Sailesh Agrawal 2011-04-28 16:27:04 PDT
Created attachment 91585 [details]
Addressed review comments
Comment 6 Sailesh Agrawal 2011-04-28 16:27:45 PDT
Comment on attachment 91562 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91562&action=review

>> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:36
>> +// This file contains utilities to draw overlay scrollbars. There are no plublic
> 
> s/plublic/public/.

Fixed.

>> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:38
>> +// we lookup at runtime. If the private APIs don't exist then the wkMake*
> 
> s/lookup/look up/

Fixed.

>> Source/WebCore/platform/chromium/ScrollbarOverlayUtilitiesMac.mm:106
>> +static Class LookUpNSScrollerImpClass() {
> 
> There's a quite a few WebKit style issues here:
> - opening brace should be on its own line for function definitions.
> - The first letter does not need to be capitalized.
> - Indents should be 4 spaces.

Fixed.
Comment 7 James Robinson 2011-04-28 16:38:37 PDT
Mark the patch review? if you would like it reviewed.  Also, when uploading a new patch you should obsolete any patches it replaces.

webkit-patch upload will take care of this for you.
Comment 8 Sailesh Agrawal 2011-04-29 14:00:15 PDT
Created attachment 91727 [details]
Fixed some bugs
Comment 9 Sailesh Agrawal 2011-04-29 14:14:00 PDT
Created attachment 91735 [details]
Updated change log.
Comment 10 WebKit Commit Bot 2011-05-02 10:56:01 PDT
Comment on attachment 91735 [details]
Updated change log.

Clearing flags on attachment: 91735

Committed r85492: <http://trac.webkit.org/changeset/85492>
Comment 11 WebKit Commit Bot 2011-05-02 10:56:07 PDT
All reviewed patches have been landed.  Closing bug.